OpenNMS API 1.2.9

## Package org.opennms.netmgt.rtc

Class Summary
BroadcastEventProcessor: BroadcastEventProcessor is responsible for receiving events from eventd and queuing them to the data updaters.
DataManager: Contains and maintains all the data for the RTC.
DataSender: The DataSender is responsible to send data out to 'listeners' When the RTCManager's timers go off, the DataSender is prompted to send data, which it does by maintaining a 'SendRequest' runnable queue so as to not block the RTCManager
DataUpdater: The DataUpdater is created for each event by the event receiver.
RTCConstants: This class is a repository for constant, static information concerning the RTC.
RTCManager: Maintains calculations for categories.

Exception Summary
RTCException: The RTCException class is thrown by the RTC.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.